<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.net.URLEncoder" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%!

private static void renderMenu(HttpSession session, java.io.Writer out, RenderData rdat)
    throws java.io.IOException
{
  ComponentRender menu = Variables.getMenu(session);
  if (menu==null)
    menu = new MenuTop();
  menu.renderHere(out,rdat);

} // end renderMenu

%>
<%
  BaseJSPData basedat = BaseJSPData.retrieve(request);
  Variables.failIfNull(basedat);
  UserContext user = Variables.getUserContext(application,request,session);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
%>
<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">
<HTML>
<HEAD>
  <%= rdat.getTitleTag(basedat.getTitle(rdat)) %>
  <%= rdat.getStdBaseFontTag(3) %>
</HEAD>

<BODY BGCOLOR="#9999FF">
  <TABLE ALIGN=LEFT BORDER=0 WIDTH="100%" CELLPADDING=2 CELLSPACING=0>
    <% if (rdat.useHTMLComments()) { %><!-- BEGIN PAGE HEADER --><% } %>
    <TR VALIGN=TOP BGCOLOR="#6666CC"><TD ALIGN=CENTER>
      <TABLE ALIGN=CENTER WIDTH="100%" BORDER=0 CELLPADDING=0 CELLSPACING=0><TR VALIGN=MIDDLE>
        <TD ALIGN=LEFT WIDTH=150>
	  <% if (rdat.useHTMLComments()) { %><!-- Site logo --><% } %>
          <%= rdat.getSiteImageTag(2,2) %>
        </TD>

        <TD ALIGN=LEFT WIDTH=150><%= rdat.getStdFontTag("white",3) %><B>
	  <% if (rdat.useHTMLComments()) { %><!-- Links to Front Page, Help, Find --><% } %>
	  <A HREF="<%= rdat.getEncodedServletPath("top") %>">Front Page</A><P>
	  <A HREF="/TODO">Help</A>&nbsp;|&nbsp;
	  <A HREF="<%= rdat.getEncodedServletPath("find") %>">Find</A>
        </B></FONT></TD>

        <TD ALIGN=RIGHT WIDTH=150>
	  <% if (rdat.useHTMLComments()) { %><!-- Banner Ad --><% } %>
	  <%-- BEGIN TEMP - Banner Ad code --%>
	  <IMG SRC="/venice/images/sample-banner.gif" ALT="Banner Ad - 468x60" ALIGN=RIGHT
	   WIDTH=468 HEIGHT=60 HSPACE=2 VSPACE=2>
	  <%-- END TEMP - Banner Ad Code --%>
      	</TD>
      </TR></TABLE>
    </TD></TR>

    <% if (rdat.useHTMLComments()) { %><!-- Login reminders --><% } %>
    <TR VALIGN=MIDDLE BGCOLOR="#6666CC"><TD ALIGN=CENTER>
      <%= rdat.getStdFontTag("white",3) %>
      <% if (user.isLoggedIn()) { %>
        You are logged in as <B><%= StringUtil.encodeHTML(user.getUserName()) %></B>
        <% if (basedat.displayLoginLinks()) { %>
          <% String partial_tgt = "account?tgt=" + URLEncoder.encode(basedat.getLocation()) + "&cmd="; %>
          &nbsp;-&nbsp;<A HREF="<%= rdat.getEncodedServletPath(partial_tgt + "L") %>">Log Out</A>
          &nbsp;|&nbsp;<A HREF="<%= rdat.getEncodedServletPath(partial_tgt + "P") %>">Profile</A>
        <% } // end if %>
      <% } else { %>
        You are not logged in
        <% if (basedat.displayLoginLinks()) { %>
          <% String partial_tgt = "account?tgt=" + URLEncoder.encode(basedat.getLocation()) + "&cmd="; %>
          &nbsp;-&nbsp;<A HREF="<%= rdat.getEncodedServletPath(partial_tgt + "L") %>">Log In</A>
          &nbsp;|&nbsp;<A HREF="<%= rdat.getEncodedServletPath(partial_tgt + "C") %>">Create Account</A>
        <% } // end if %>
      <% } // end if %>
      </FONT>
    </TR></TD>

    <% if (rdat.useHTMLComments()) { %><!-- END PAGE HEADER --><% } %>

    <TR VALIGN=TOP><TD ALIGN=CENTER>
      <TABLE ALIGN=CENTER WIDTH="100%" BORDER=0 CELLPADDING=2 CELLSPACING=0><TR VALIGN=TOP>
        <TD ALIGN=LEFT WIDTH=120 BGCOLOR="#9999FF">
          <TABLE ALIGN=LEFT WIDTH=120 CELPADDING=0 CELLSPACING=0>
	    <% if (rdat.useHTMLComments()) { %><!-- BEGIN LEFT SIDEBAR --><% } %>
	    <TR VALIGN=TOP><TD VALIGN=LEFT><%= rdat.getStdFontTag(null,2) %>
	      <% if (rdat.useHTMLComments()) { %><!-- variable menu --><% } %>
              <% renderMenu(session,out,rdat); %>
            </FONT></TD></TR>

            <TR VALIGN=TOP><TD VALIGN=LEFT>&nbsp;</TD></TR>
            <TR VALIGN=TOP><TD VALIGN=LEFT><%= rdat.getStdFontTag(null,2) %>
	      <% if (rdat.useHTMLComments()) { %><!-- fixed menu --><% } %>
              <B>About This Site</B><BR>
              <A HREF="/TODO">Documentation</A><BR>
              <A HREF="/TODO">About Venice</A>
            </FONT></TD></TR>

	    <% if (rdat.useHTMLComments()) { %><!-- END LEFT SIDEBAR --><% } %>

          </TABLE>
        </TD>

        <TD ALIGN=LEFT WIDTH="100%" BGCOLOR="white">
          <TABLE WIDTH="100%" BORDER=0 CELLPADDING=2 CELLSPACING=0><TR VALIGN=TOP><TD ALIGN=LEFT>
	    <% if (rdat.useHTMLComments()) { %><!-- BEGIN PAGE CONTENT --><% } %>
            <% basedat.renderContent(application,out,rdat); %>
	    <% if (rdat.useHTMLComments()) { %><!-- END PAGE CONTENT --><% } %>
          </TD></TR></TABLE>
        </TD>
      </TR></TABLE>
    </TD></TR>
  </TABLE>
</BODY>
</HTML>
